vtkVertexBufferObject Class Reference

`#include <pcl/visualization/vtk/vtkVertexBufferObject.h>`

Inheritance diagram for vtkVertexBufferObject:

## Public Types

enum | { StreamDraw =0, StreamRead, StreamCopy, StaticDraw, StaticRead, StaticCopy, DynamicDraw, DynamicRead, DynamicCopy, NumberOfUsages }

## Public Member Functions

| vtkTypeMacro (vtkVertexBufferObject, vtkObject)
void | PrintSelf (ostream &os, vtkIndent indent) override
void | SetContext (vtkRenderWindow *context)
vtkRenderWindow * | GetContext ()
| vtkGetMacro (Usage, int)
| vtkSetMacro (Usage, int)
int | GetAttributeIndex ()
void | SetUserDefinedAttribute (int index, bool normalized=false, int stride=0)
void | ResetUserDefinedAttribute ()
void | SetAttributeNormalized (bool normalized)
bool | Upload (vtkPoints *points)
bool | Upload (vtkCellArray *verts)
bool | Upload (unsigned int *indices, unsigned int count)
bool | Upload (vtkUnsignedCharArray *colors)
bool | Upload (vtkDataArray *array)
bool | Upload (vtkDataArray *array, int attributeType, int arrayType)
bool | UploadNormals (vtkDataArray *normals)
bool | UploadColors (vtkDataArray *colors)
| vtkGetMacro (Size, unsigned int)
| vtkGetMacro (Count, unsigned int)
| vtkGetMacro (Handle, unsigned int)
void | UnBind ()
void | Bind ()
void | ReleaseMemory ()

## Static Public Member Functions

static vtkVertexBufferObject * | New ()
static bool | IsSupported (vtkRenderWindow *renWin)

## Protected Member Functions

| vtkVertexBufferObject ()
| ~vtkVertexBufferObject ()
bool | LoadRequiredExtensions (vtkOpenGLExtensionManager *mgr)
void | CreateBuffer ()
void | DestroyBuffer ()
bool | Upload (GLvoid *data)
| vtkGetMacro (ArrayType, unsigned int)

## Protected Attributes

int | Usage
unsigned int | Size
unsigned int | Count
unsigned int | Handle
unsigned int | ArrayType
unsigned int | BufferTarget
int | AttributeIndex
int | AttributeSize
int | AttributeType
int | AttributeNormalized
int | AttributeStride
vtkWeakPointer< vtkRenderWindow > | Context

## Detailed Description

Definition at line 45 of file vtkVertexBufferObject.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
StreamDraw |
StreamRead |
StreamCopy |
StaticDraw |
StaticRead |
StaticCopy |
DynamicDraw |
DynamicRead |
DynamicCopy |
NumberOfUsages |

Definition at line 64 of file vtkVertexBufferObject.h.

## Constructor & Destructor Documentation

## vtkVertexBufferObject()

vtkVertexBufferObject::vtkVertexBufferObject | ( |  | ) |

protected

## ~vtkVertexBufferObject()

vtkVertexBufferObject::~vtkVertexBufferObject | ( |  | ) |

protected

## Member Function Documentation

## Bind()

void vtkVertexBufferObject::Bind | ( |  | ) |

## CreateBuffer()

void vtkVertexBufferObject::CreateBuffer | ( |  | ) |

protected

## DestroyBuffer()

void vtkVertexBufferObject::DestroyBuffer | ( |  | ) |

protected

## GetAttributeIndex()

int vtkVertexBufferObject::GetAttributeIndex | ( |  | ) |

## GetContext()

vtkRenderWindow* vtkVertexBufferObject::GetContext | ( |  | ) |

## IsSupported()

static bool vtkVertexBufferObject::IsSupported | ( | vtkRenderWindow * | renWin | ) |

static

## LoadRequiredExtensions()

bool vtkVertexBufferObject::LoadRequiredExtensions | ( | vtkOpenGLExtensionManager * | mgr | ) |

protected

## New()

static vtkVertexBufferObject* vtkVertexBufferObject::New | ( |  | ) |

static

## PrintSelf()

void vtkVertexBufferObject::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

override

## ReleaseMemory()

void vtkVertexBufferObject::ReleaseMemory | ( |  | ) |

## ResetUserDefinedAttribute()

void vtkVertexBufferObject::ResetUserDefinedAttribute | ( |  | ) |

## SetAttributeNormalized()

void vtkVertexBufferObject::SetAttributeNormalized | ( | bool | normalized | ) |

## SetContext()

void vtkVertexBufferObject::SetContext | ( | vtkRenderWindow * | context | ) |

## SetUserDefinedAttribute()

void vtkVertexBufferObject::SetUserDefinedAttribute | ( | int | index,
|  | bool | normalized = `false`,
|  | int | stride = `0`
| ) |  |

## UnBind()

void vtkVertexBufferObject::UnBind | ( |  | ) |

## Upload() [1/7]

bool vtkVertexBufferObject::Upload | ( | GLvoid * | data | ) |

protected

## Upload() [2/7]

bool vtkVertexBufferObject::Upload | ( | unsigned int * | indices,
|  | unsigned int | count
| ) |  |

## Upload() [3/7]

bool vtkVertexBufferObject::Upload | ( | vtkCellArray * | verts | ) |

## Upload() [4/7]

bool vtkVertexBufferObject::Upload | ( | vtkDataArray * | array | ) |

## Upload() [5/7]

bool vtkVertexBufferObject::Upload | ( | vtkDataArray * | array,
|  | int | attributeType,
|  | int | arrayType
| ) |  |

## Upload() [6/7]

bool vtkVertexBufferObject::Upload | ( | vtkPoints * | points | ) |

## Upload() [7/7]

bool vtkVertexBufferObject::Upload | ( | vtkUnsignedCharArray * | colors | ) |

## UploadColors()

bool vtkVertexBufferObject::UploadColors | ( | vtkDataArray * | colors | ) |

## UploadNormals()

bool vtkVertexBufferObject::UploadNormals | ( | vtkDataArray * | normals | ) |

## vtkGetMacro() [1/5]

vtkVertexBufferObject::vtkGetMacro | ( | ArrayType | ,
|  | unsigned int |
| ) |  |

protected

## vtkGetMacro() [2/5]

vtkVertexBufferObject::vtkGetMacro | ( | Count | ,
|  | unsigned int |
| ) |  |

## vtkGetMacro() [3/5]

vtkVertexBufferObject::vtkGetMacro | ( | Handle | ,
|  | unsigned int |
| ) |  |

## vtkGetMacro() [4/5]

vtkVertexBufferObject::vtkGetMacro | ( | Size | ,
|  | unsigned int |
| ) |  |

## vtkGetMacro() [5/5]

vtkVertexBufferObject::vtkGetMacro | ( | Usage | ,
|  | int |
| ) |  |

## vtkSetMacro()

vtkVertexBufferObject::vtkSetMacro | ( | Usage | ,
|  | int |
| ) |  |

## vtkTypeMacro()

vtkVertexBufferObject::vtkTypeMacro | ( | vtkVertexBufferObject | ,
|  | vtkObject |
| ) |  |

## Member Data Documentation

## ArrayType

unsigned int vtkVertexBufferObject::ArrayType

protected

Definition at line 195 of file vtkVertexBufferObject.h.

## AttributeIndex

int vtkVertexBufferObject::AttributeIndex

protected

Definition at line 198 of file vtkVertexBufferObject.h.

## AttributeNormalized

int vtkVertexBufferObject::AttributeNormalized

protected

Definition at line 201 of file vtkVertexBufferObject.h.

## AttributeSize

int vtkVertexBufferObject::AttributeSize

protected

Definition at line 199 of file vtkVertexBufferObject.h.

## AttributeStride

int vtkVertexBufferObject::AttributeStride

protected

Definition at line 202 of file vtkVertexBufferObject.h.

## AttributeType

int vtkVertexBufferObject::AttributeType

protected

Definition at line 200 of file vtkVertexBufferObject.h.

## BufferTarget

unsigned int vtkVertexBufferObject::BufferTarget

protected

Definition at line 196 of file vtkVertexBufferObject.h.

## Context

vtkWeakPointer<vtkRenderWindow> vtkVertexBufferObject::Context

protected

Definition at line 204 of file vtkVertexBufferObject.h.

## Count

unsigned int vtkVertexBufferObject::Count

protected

Definition at line 193 of file vtkVertexBufferObject.h.

## Handle

unsigned int vtkVertexBufferObject::Handle

protected

Definition at line 194 of file vtkVertexBufferObject.h.

## Size

unsigned int vtkVertexBufferObject::Size

protected

Definition at line 192 of file vtkVertexBufferObject.h.

## Usage

int vtkVertexBufferObject::Usage

protected

Definition at line 191 of file vtkVertexBufferObject.h.

The documentation for this class was generated from the following file:

- pcl/visualization/vtk/vtkVertexBufferObject.h